import java.util.Iterator;

/**
 * This interface represents iterable iterators. Therefore the iterator() method returns another iterator.
 * 
 * @author Stefan Klbl
 * 
 * @param <A>
 *            Type parameter for the elements contained in the iterator.
 * @param <B>
 *            Type parameter for the elements contained in the iterators of the current iterator.
 */
public interface Iterable_Iterator<A, B> extends Iterator<A>, java.lang.Iterable<B> {
}
